Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db.compatibility
Class JbpmSchemaUpdate

    java.lang.Object
      org.jbpm.db.compatibility.JbpmSchemaUpdate

    public class JbpmSchemaUpdate

extends java.lang.Object

This is a modified version of the hibernate tools schema update. The modification is to support saving of the update script to a file.

Author:
  Christoph Sturm, Koen Aers

Constructor Summary
`JbpmSchemaUpdate(org.hibernate.cfg.Configuration cfg)`
`JbpmSchemaUpdate(org.hibernate.cfg.Configuration cfg, java.util.Properties connectionProperties)`
`JbpmSchemaUpdate(org.hibernate.cfg.Configuration cfg, org.hibernate.cfg.Settings settings)`

Method Summary
`void` | `execute(boolean script, boolean doUpdate, java.io.File out)` Execute the schema updates
`java.util.List` | `getExceptions()` Returns a List of all Exceptions which occured during the export.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmSchemaUpdate

    public JbpmSchemaUpdate(org.hibernate.cfg.Configuration cfg)
                     throws org.hibernate.HibernateException

Throws:
  `org.hibernate.HibernateException`

### JbpmSchemaUpdate

    public JbpmSchemaUpdate(org.hibernate.cfg.Configuration cfg,
                            java.util.Properties connectionProperties)
                     throws org.hibernate.HibernateException

Throws:
  `org.hibernate.HibernateException`

### JbpmSchemaUpdate

    public JbpmSchemaUpdate(org.hibernate.cfg.Configuration cfg,
                            org.hibernate.cfg.Settings settings)
                     throws org.hibernate.HibernateException

Throws:
  `org.hibernate.HibernateException`

Method Detail

### main

    public static void main(java.lang.String[] args)

### execute

    public void execute(boolean script,
                        boolean doUpdate,
                        java.io.File out)

  Execute the schema updates

  Parameters:
    `script` - print all DDL to the console

### getExceptions

    public java.util.List getExceptions()

  Returns a List of all Exceptions which occured during the export.

  Returns:
    A List containig the Exceptions occured during the export

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD